module libc_rand48

   use, intrinsic :: iso_c_binding

   implicit none

   ! Use the RNG from libc so that all programs produce the same output
   interface
      subroutine libc_srand48(seed) bind(C, name="srand48")
         import :: c_long
         integer(c_long), intent(in), value :: seed
      end subroutine

      real(c_double) function libc_drand48() bind(C, name="drand48")
         import :: c_double
      end function
   end interface
end module
